org.atinject.tck.auto

## Class GasEngine

- java.lang.Object
- - org.atinject.tck.auto.Engine
  - - org.atinject.tck.auto.GasEngine

- Direct Known Subclasses:
    V8Engine

      public abstract class GasEngine
      extends Engine

- - ### Field Summary

    - ### Fields inherited from class org.atinject.tck.auto.Engine

      `overriddenPackagePrivateMethodInjectedTwice, overriddenTwiceWithOmissionInMiddleInjected, overriddenTwiceWithOmissionInSubclassInjected, publicNoArgsConstructorInjected, qualifiersInheritedFromOverriddenMethod, seatA, seatB, subPackagePrivateMethodForOverrideInjected, subPackagePrivateMethodInjected, superPackagePrivateMethodForOverrideInjected, superPackagePrivateMethodInjected, tireA, tireB`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GasEngine()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `injectTwiceOverriddenWithOmissionInMiddle()`
    `void` | `injectTwiceOverriddenWithOmissionInSubclass()`

    - ### Methods inherited from class org.atinject.tck.auto.Engine

      `injectQualifiers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GasEngine

          public GasEngine()

  - ### Method Detail

    - #### injectTwiceOverriddenWithOmissionInMiddle

          public void injectTwiceOverriddenWithOmissionInMiddle()

      Overrides:
        `injectTwiceOverriddenWithOmissionInMiddle` in class `Engine`

    - #### injectTwiceOverriddenWithOmissionInSubclass

          @Inject
          public void injectTwiceOverriddenWithOmissionInSubclass()

      Overrides:
        `injectTwiceOverriddenWithOmissionInSubclass` in class `Engine`